commit:     5e7202e7d47cfe277e60dd9f0e3bee4126da0ab1
Author:     Hosein Naghdbishi <naghdbishi <AT> riseup <DOT> net>
AuthorDate: Wed Oct 21 11:47:35 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Nov  4 15:11:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e7202e7

app-office/calcurse: bump version to 4.7.0

Signed-off-by: Hosein Naghdbishi <naghdbishi <AT> riseup.net>
Closes: https://github.com/gentoo/gentoo/pull/17990
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-office/calcurse/Manifest              |  1 +
 app-office/calcurse/calcurse-4.7.0.ebuild | 51 +++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-office/calcurse/Manifest b/app-office/calcurse/Manifest
index a709a800e0c..50489056354 100644
--- a/app-office/calcurse/Manifest
+++ b/app-office/calcurse/Manifest
@@ -1 +1,2 @@
 DIST calcurse-4.4.0.tar.gz 620263 BLAKE2B 
8fbe875f5e757ec3c11b9c23a994260403ee990bfcb3d4c41eefbf06a6db9e76cd5157e32b11c3fdc049896d5db3a9856862724902dab1cb48e0b00ef5df6f73
 SHA512 
43d30ad68bb39aaa9460644a691e66cbb15b9930737581583da65d00214c70fb1148a0edeca4430abb7a5cef2821b0f4c6fdbed8188d9ea5da5fedc4f95fa07c
+DIST calcurse-4.7.0.tar.gz 699134 BLAKE2B 
fb50ee3d5fe6a0eebacb557ae6fdc1b49a413b35d53fd8dfb64102bd2ed963bf83f27f1e3c3f454284143d1410f18766b56792252634ad82b1b20c130364a54c
 SHA512 
656f3e74cde923bf7bbe5aca56f0544023b69fd8ff6ac8c851bbe224bf6cbe1fb58eb141b66ba818b1382d705e1a7c82a7e20eda7a1672d513ad54749d5a2bac

diff --git a/app-office/calcurse/calcurse-4.7.0.ebuild 
b/app-office/calcurse/calcurse-4.7.0.ebuild
new file mode 100644
index 00000000000..515c4604b87
--- /dev/null
+++ b/app-office/calcurse/calcurse-4.7.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit autotools python-single-r1
+
+DESCRIPTION="a text-based calendar and scheduling application"
+HOMEPAGE="https://calcurse.org/";
+SRC_URI="https://calcurse.org/files/${P}.tar.gz";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       $(python_gen_cond_dep 'dev-python/httplib2[${PYTHON_MULTI_USEDEP}]')
+       sys-libs/ncurses:0="
+
+DEPEND="
+       ${RDEPEND}"
+
+# Some tests fail, mostly those pertaining to ical, perhaps due to requiring 
network?
+RESTRICT="test"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.2.1-tinfo.patch
+)
+
+pkg_setup() {
+       :
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_compile() {
+       default
+       python_setup
+       python_fix_shebang contrib/caldav/calcurse-caldav
+}
+
+src_install() {
+       default
+       mv "${D}"/usr/share/doc/${PN} "${D}"/usr/share/doc/${PF} || die
+}

Reply via email to